---
title: WorkerGlobalScope.close()
slug: Web/API/WorkerGlobalScope/close
tags:
  - API
  - Deprecated
  - Method
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
  - close
---
<p>{{APIRef("Web Workers API")}}{{obsolete_header}}</p>

<p>The <code><strong>close()</strong></code> method of the {{domxref("WorkerGlobalScope")}} interface discards any tasks queued in the <code>WorkerGlobalScope</code>'s event loop, effectively closing this particular scope.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">self.close();</pre>

<h2 id="Example">Example</h2>

<p>If you wanted to close your worker instance from inside the worker itself, you could call the following:</p>

<pre class="brush: js">close();</pre>

<p><code>close()</code> and <code>self.close()</code> are effectively equivalent — both represent <code>close()</code> being called from inside the worker's inner scope.</p>

<div class="note">
<p><strong>Note</strong>: there is also a way to stop the worker from the main thread: the {{domxref("Worker.terminate")}} method.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.close")}}</p>

<h2 id="See_also">See also</h2>

<p>{{domxref("WorkerGlobalScope")}}</p>
